Last modified: 2013-04-10 05:56:19 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35341 - Vector user icon in personal portlet should be hidpi
Vector user icon in personal portlet should be hidpi
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: 1.22.0 release
Assigned To: Pau Giner
:
Depends on:
Blocks: hidpi 44881
  Show dependency treegraph
 
Reported: 2012-03-19 23:26 UTC by Brion Vibber
Modified: 2013-04-10 05:56 UTC (History)
13 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Brion Vibber 2012-03-19 23:26:36 UTC
The 'user' icon that sites next to the username or login link in Vector skin is a low-resolution raster image, and appears visibly pixelated on a high-resolution display such as the third-gen iPad with Retina display or when zooming in.

Recommend replacing with a SVG, with PNG fallback.
Comment 1 IWorld (V. G.) 2012-03-24 12:30:22 UTC
I fix that.
Comment 2 IWorld (V. G.) 2012-03-25 15:33:38 UTC
There is a problem: some browser doesn't support two backgrounds (the fallback).
Comment 3 Marcin Cieślak 2012-03-26 16:01:01 UTC
Maybe we can get rid of the icon altogether...
Comment 4 Chad H. 2012-04-12 22:22:55 UTC
(In reply to comment #3)
> Maybe we can get rid of the icon altogether...

+1
Comment 5 Trevor Parscal 2012-04-12 22:32:41 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Maybe we can get rid of the icon altogether...
> 
> +1

You could file that as a different bug, and link this one to it, but it's not exactly what the bug was about  and doesn't solve the problem that will continue for other icons in the UI.
Comment 6 Dereckson 2012-06-09 22:31:41 UTC
See gerrit review #3687
Comment 7 Sumana Harihareswara 2012-06-16 00:35:08 UTC
IWorld, please see https://gerrit.wikimedia.org/r/#/c/3687/ .
Comment 8 Bartosz Dziewoński 2013-02-15 16:47:23 UTC
Removing assignee, as the patch was abandoned and nothing else happened.
Comment 9 MZMcBride 2013-02-15 22:32:28 UTC
(In reply to comment #5)
> (In reply to comment #4)
>> (In reply to comment #3)
>>> Maybe we can get rid of the icon altogether...
>> 
>> +1
> 
> You could file that as a different bug, [...]

Filed as bug 45056.
Comment 10 Krinkle 2013-02-22 16:19:39 UTC
A new version has been submitted:

Change-Id: I914da0649459744ccca9e1a78e9f48fe66e1a77f

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links